# pyo3::types::PyDateAccess - Rust
Access traits Trait for accessing the date components of a struct containing a date.
Keywords: rust, rustlang, rust-lang, PyDateAccess

# Trait pyo3::types::PyDateAccess [−] [src]

    pub trait PyDateAccess {
        fn get_year(&self) -> i32;
        fn get_month(&self) -> u8;
        fn get_day(&self) -> u8;
    }

Access traits Trait for accessing the date components of a struct containing a date.

## Required methods

### `fn get_year(&self) -> i32` [src]

### `fn get_month(&self) -> u8` [src]

### `fn get_day(&self) -> u8` [src]

Loading content...

## Implementors

### `impl PyDateAccess for PyDate` [src]

#### `fn get_year(&self) -> i32` [src]

#### `fn get_month(&self) -> u8` [src]

#### `fn get_day(&self) -> u8` [src]

### `impl PyDateAccess for PyDateTime` [src]

#### `fn get_year(&self) -> i32` [src]

#### `fn get_month(&self) -> u8` [src]

#### `fn get_day(&self) -> u8` [src]

Loading content...